# org.pdfclown.objects.PdfObjectWrapper Class Reference

Base high-level representation of a weakly-typed PDF object. More...

Inheritance diagram for org.pdfclown.objects.PdfObjectWrapper:

List of all members.

## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
| PdfObjectWrapper (PdfDirectObject baseObject)
| Instantiates a wrapper from the specified base object.
| PdfObjectWrapper ()
| Instantiates an empty wrapper.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
virtual PdfDirectObject | BaseObject`[get, set]`
| Gets the underlying reference object, if available; otherwise, gets the underlying data object.
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.

##

Base high-level representation of a weakly-typed PDF object.

## Constructor & Destructor Documentation

org.pdfclown.objects.PdfObjectWrapper.PdfObjectWrapper | ( |  | ) | `[protected]`

Instantiates an empty wrapper.

Reimplemented in org.pdfclown.objects.PdfObjectWrapper< TDataObject >.

org.pdfclown.objects.PdfObjectWrapper.PdfObjectWrapper | ( | PdfDirectObject | baseObject | ) | `[protected]`

Instantiates a wrapper from the specified base object.

Parameters:

  | baseObject | PDF object backing this wrapper. MUST be a PdfReference every time available.

Reimplemented in org.pdfclown.objects.PdfObjectWrapper< TDataObject >.

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

Referenced by org.pdfclown.documents.Document.Include(), and org.pdfclown.tools.PageManager.Split().

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

Reimplemented in org.pdfclown.documents.interaction.annotations.Annotation, org.pdfclown.documents.interaction.navigation.page.Article, and org.pdfclown.documents.interaction.navigation.page.ArticleElement.

Referenced by org.pdfclown.documents.Document.Exclude().

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) |

Reimplemented in org.pdfclown.documents.contents.colorSpaces.LeveledColor, and org.pdfclown.documents.contents.fonts.Font.

Referenced by org.pdfclown.objects.PdfObjectWrapper< PdfTextString >.Equals(), and org.pdfclown.documents.Page.ToXObject().

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper | wrapper | ) | `[static]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) |

Reimplemented in org.pdfclown.documents.contents.colorSpaces.LeveledColor, and org.pdfclown.documents.contents.fonts.Font.

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

## Property Documentation

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

Implements org.pdfclown.objects.IPdfObjectWrapper.

Referenced by org.pdfclown.documents.files.RelatedFiles.Add(), org.pdfclown.documents.functions.Functions.Add(), org.pdfclown.documents.interaction.forms.FieldWidgets.Add(), org.pdfclown.documents.interaction.forms.Fields.Add(), org.pdfclown.documents.interaction.forms.ChoiceItems.Add(), org.pdfclown.documents.interaction.actions.ChainedActions.Add(), org.pdfclown.documents.interaction.navigation.document.Bookmarks.Add(), org.pdfclown.documents.interaction.annotations.AppearanceStates.Add(), org.pdfclown.documents.interaction.annotations.AnnotationActions.Add(), org.pdfclown.objects.PdfObjectWrapper< PdfTextString >.Clone(), org.pdfclown.documents.functions.Functions.Contains(), org.pdfclown.documents.interaction.forms.FieldWidgets.Contains(), org.pdfclown.documents.interaction.forms.ChoiceItems.Contains(), org.pdfclown.objects.PdfObjectWrapper< PdfTextString >.GetBaseObject(), org.pdfclown.tools.PageManager.GetSize(), org.pdfclown.documents.functions.Functions.IndexOf(), org.pdfclown.documents.interaction.forms.FieldWidgets.IndexOf(), org.pdfclown.documents.interaction.forms.ChoiceItems.IndexOf(), org.pdfclown.documents.functions.Functions.Insert(), org.pdfclown.documents.interaction.forms.FieldWidgets.Insert(), org.pdfclown.documents.interaction.forms.ChoiceItems.Insert(), org.pdfclown.documents.interaction.actions.ChainedActions.Insert(), org.pdfclown.documents.Pages.Remove(), org.pdfclown.documents.functions.Functions.Remove(), org.pdfclown.documents.interaction.forms.FieldWidgets.Remove(), org.pdfclown.documents.interaction.forms.Fields.Remove(), org.pdfclown.documents.interaction.forms.ChoiceItems.Remove(), org.pdfclown.documents.interaction.annotations.Screen.Screen(), and org.pdfclown.objects.PdfStream.SetDataFile().

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get]`

Gets the document context.

Referenced by org.pdfclown.documents.interaction.annotations.DualWidget.DualWidget(), and org.pdfclown.documents.contents.entities.EAN13Barcode.ToInlineObject().

File org.pdfclown.objects.PdfObjectWrapper.File`[get]`

Gets the file context.

Referenced by org.pdfclown.objects.PdfObjectWrapper< PdfTextString >.Clone(), org.pdfclown.documents.Document.Exclude(), org.pdfclown.documents.Document.Include(), and org.pdfclown.documents.contents.objects.Operation.WriteTo().

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.